﻿function loadEpisodes (callback) {

    var loadEpisodes = function(data){
        Game.episodes = {};
        console.log("episodes load");
        for(var key in data)
            Game.episodes[data[key].name] = data[key];
        callback();
    }.bind(this);


    var loadJSON = function (path, success, error)
    {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function()
        {
            if (xhr.readyState === 4) {
                if (xhr.status === 200) {
                    if (success)
                        success(JSON.parse(xhr.responseText));
                } else {
                    if (error)
                        error(xhr);
                }
            }
        };
        xhr.open("GET", path, true);
        xhr.send();
    };

    loadJSON("backgrounds/info.json", loadEpisodes, null);
}