﻿function allert() {

}

function showAds(){
    if (Game.adsConfigured) {
        if (localStorage.getItem('disableAds') != "true")
            Game.adsProvider.show();
    }
}

function askGameRate () {
    if (Game.isWindowsPhone) {
        var messagedialogpopup = new Windows.UI.Popups.MessageDialog("Rate", "Please, take a moment to rate our app!");
        messagedialogpopup.commands.append(new Windows.UI.Popups.UICommand("Rate", null, 1));
        messagedialogpopup.commands.append(new Windows.UI.Popups.UICommand("Not now", null, 2));
        messagedialogpopup.defaultCommandIndex = 0;
        messagedialogpopup.showAsync().done(function (command) {
            if (command)
                if (command.id == 1)    
                    Windows.System.Launcher.launchUriAsync(new Windows.Foundation.Uri("http://windowsphone.com/s?appid=ebc68428-2911-46dc-83c1-4078bc9f1b33")).then(
                        function (success) {
                            if (success) {
                            } else {
                            }
                        });
        });
    } else {
        var IOS_RATING_URL = "http://itunes.apple.com/WebObjects/MZStore.woa/wa/viewContentsUserReviews?id=1052616897&onlyLatestVersion=true&type=Purple+Software";
        var ANDROID_RATING_URL = "market://details?id=com.mnillstone.orcs";
        Cocoon.Dialog.confirm({
            title : "Rate",
            message : "Please, take a moment to rate our app!",
            confirmText: "Rate!",
            cancelText: "No"
        }, function(accepted){
            if(accepted){
                var ratingURL = null;
                if (navigator.isCocoonJS)
                {
                    if (/ios/.test(navigator.userAgent))
                    {
                        ratingURL = IOS_RATING_URL;
                    }
                    else if (/android/.test(navigator.userAgent))
                    {
                        ratingURL = ANDROID_RATING_URL;
                    }
                    Cocoon.App.openURL(ratingURL);
                }
            }
        });
    }
}

function consta() {
    Game.getFont = function (number){
        return number + (Game.language == "en" ? "px Dumbledor" : "px Papyrus");
    };
    Game.getFontBitmap = function (number){
        return (Game.language == "en" ? "64px font" : "64px font2");
    };

    loadGuiMenu();
    loadEnemy();
    loadEnvironment();
    loadFriendly();
    initEventEmitter();
    loadAchievements();

    Game.currentPlayedMusic = null;

    var episode = document.URL.match(/episode=([^&]+)/);
    var lvl = document.URL.match(/lvl=([^&]+)/);
    var wave = document.URL.match(/wave=([^&]+)/);

    var loadLocalization = function() {
        var loader = new PIXI.loaders.Loader();
        loader.add((Game.language == 'en' ? "fonts/font.fnt" : "fonts/font2.fnt"));
        loader.on('complete', function() {
            var spritesLoad = function () {
                var particlesLoad = function () {
                    var startLoad = function () {
                        if (Game.pc) {
                            Game.episodes["desert"].lvls.forEach(function (lvl) {
                                if (lvl.name != "8") {
                                    Game.backgroundsList.push(new Background(lvl.background));
                                    Game.backgroundsPreviewList.push(new BackgroundPreview('desert'+lvl.name));
                                }

                            });
                            Game.episodes['forest'].lvls.forEach(function (lvl) {
                                if (lvl.name != "9") {
                                    Game.backgroundsList.push(new Background(lvl.background));
                                    Game.backgroundsPreviewList.push(new BackgroundPreview('forest'+lvl.name));
                                }
                            });
                            Game.episodes['graveyard'].lvls.forEach(function (lvl) {
                                if (lvl.name != "8" && lvl.name != "9") {
                                    Game.backgroundsList.push(new Background(lvl.background));
                                    Game.backgroundsPreviewList.push(new BackgroundPreview('graveyard'+lvl.name));
                                }
                            });
                        }
                        //Game.ctx.drawImage(LoadingImage, 0, 0);
                        var LoadingImage = null;
                        var spriteCount = 0;
                        var onLoad = function () {
                            spriteCount--;
                            //Draw image once after load.  Special fix for fix first draw lag
                            if (spriteCount == 0) {

                                if (episode) {
                                    episode = episode[1];
                                } else {
                                    episode = 'desert';
                                    Game.isMenu = true;
                                }

                                Game.currEpisode = episode;
                                if (lvl)
                                    lvl = lvl[1];
                                else
                                    lvl = '0';

                                if (wave)
                                    Game.testWave = wave[1];
                                //Game.isMenu = false; //TODO DEBUG
                                //lvl = '1';//TODO DEBUG
                                //episode = 'desert';//TODO DEBUG
                                var startGame = function () {
                                    Game.menu = new Menu();
                                    Game.globallogic.load();
                                    if (!Game.isMenu) {
                                        Game.isRedactor = true;
                                        Game.menu.selectedLvl = '' + (parseInt(lvl) + (episode == 'desert' ? 0 : (episode == 'forest' ? 10 : 20)));
                                        Game.lvl.init(Game.episodes[episode].lvls[lvl]);
                                        setTimeout(Game.recycle, Game.cycleTickTime);
                                    } else {
                                        setTimeout(Game.recycle, Game.cycleTickTime);
                                        Game.menu.enterMenu();
                                    }
                                };
                                loadBuildings();
                                loadGui();
                                lvlPrefs();
                                loadUnitsPrefs(function () {
                                    loadBuildingsPrefs(startGame)
                                });
                            }
                        };
                        spriteCount = 1;
                        onLoad();
                    };
                    loadSpritesAndAnimations(function () {
                        Atlas.loadLoader(startLoad);
                    });
                };
                loadParticlesPrefs(particlesLoad);
            };
            loadEpisodes(spritesLoad);
        });
        loader.load();
    };
    loadLocal(loadLocalization);
}

function initEventEmitter () {
    Game.events = new EventEmitter();

    Game.enemyKilled = parseInt(localStorage.getItem(Game.profile + 'events:'+'enemyKilled'));
    if (isNaN(Game.enemyKilled))
        Game.enemyKilled = 0;

    Game.events.on('enemyKilled', function(){
        Game.enemyKilled++;
        localStorage.setItem(Game.profile + 'events:'+'enemyKilled', Game.enemyKilled);
    });

    Game.enemyKilledFromHero = parseInt(localStorage.getItem(Game.profile + 'events:'+'enemyKilledFromHero'));
    if (isNaN(Game.enemyKilledFromHero))
        Game.enemyKilledFromHero = 0;

    Game.events.on('enemyKilledFromHero', function(){
        Game.enemyKilledFromHero++;
        localStorage.setItem(Game.profile + 'events:'+'enemyKilledFromHero', Game.enemyKilledFromHero);
    });

    Game.towerBuild = parseInt(localStorage.getItem(Game.profile + 'events:'+'towerBuild'));
    if (isNaN(Game.towerBuild))
        Game.towerBuild = 0;

    Game.events.on('towerBuild', function(){
        Game.towerBuild++;
        localStorage.setItem(Game.profile + 'events:'+'towerBuild', Game.towerBuild);
    });

    Game.lvlWin = parseInt(localStorage.getItem(Game.profile + 'events:'+'lvlWin'));
    if (isNaN(Game.lvlWin))
        Game.lvlWin = 0;

    Game.events.on('lvlWin', function(){
        Game.lvlWin++;
        localStorage.setItem(Game.profile + 'events:'+'lvlWin', Game.lvlWin);
    });

    Game.lvlLose = parseInt(localStorage.getItem(Game.profile + 'events:'+'lvlLose'));
    if (isNaN(Game.lvlLose))
        Game.lvlLose = 0;

    Game.events.on('lvlLose', function(){
        Game.lvlLose++;
        localStorage.setItem(Game.profile + 'events:'+'lvlLose', Game.lvlLose);
    });

    Game.criticalStrike = parseInt(localStorage.getItem(Game.profile + 'events:'+'criticalStrike'));
    if (isNaN(Game.criticalStrike))
        Game.criticalStrike = 0;

    Game.events.on('criticalStrike', function(){
        Game.criticalStrike++;
        localStorage.setItem(Game.profile + 'events:'+'criticalStrike', Game.criticalStrike);
    });

    Game.poisoned = parseInt(localStorage.getItem(Game.profile + 'events:'+'poisoned'));
    if (isNaN(Game.poisoned))
        Game.poisoned = 0;

    Game.events.on('poisoned', function(){
        Game.poisoned++;
        localStorage.setItem(Game.profile + 'events:'+'poisoned', Game.poisoned);
    });

    Game.archerKill = parseInt(localStorage.getItem(Game.profile + 'events:'+'archerKill'));
    if (isNaN(Game.archerKill))
        Game.archerKill = 0;
    Game.events.on('archerKill', function(){
        Game.archerKill++;
        localStorage.setItem(Game.profile + 'events:'+'archerKill', Game.archerKill);
    });

    Game.cannonKill = parseInt(localStorage.getItem(Game.profile + 'events:'+'cannonKill'));
    if (isNaN(Game.cannonKill))
        Game.cannonKill = 0;
    Game.events.on('cannonKill', function(){
        Game.cannonKill++;
        localStorage.setItem(Game.profile + 'events:'+'cannonKill', Game.cannonKill);
    });

    Game.lightingKill = parseInt(localStorage.getItem(Game.profile + 'events:'+'lightingKill'));
    if (isNaN(Game.lightingKill))
        Game.lightingKill = 0;
    Game.events.on('lightingKill', function(){
        Game.lightingKill++;
        localStorage.setItem(Game.profile + 'events:'+'lightingKill', Game.lightingKill);
    });

    Game.hordeFlyingKill = parseInt(localStorage.getItem(Game.profile + 'events:'+'hordeFlyingKill'));
    if (isNaN(Game.hordeFlyingKill))
        Game.hordeFlyingKill = 0;
    Game.events.on('hordeFlyingKill', function(){
        Game.hordeFlyingKill++;
        localStorage.setItem(Game.profile + 'events:'+'hordeFlyingKill', Game.hordeFlyingKill);
    });

    Game.orcsKill = parseInt(localStorage.getItem(Game.profile + 'events:'+'orcsKill'));
    if (isNaN(Game.orcsKill))
        Game.orcsKill = 0;
    Game.events.on('orcsKill', function(){
        Game.orcsKill++;
        localStorage.setItem(Game.profile + 'events:'+'orcsKill', Game.orcsKill);
    });

    Game.goblinsKill = parseInt(localStorage.getItem(Game.profile + 'events:'+'goblinsKill'));
    if (isNaN(Game.goblinsKill))
        Game.goblinsKill = 0;
    Game.events.on('goblinsKill', function(){
        Game.goblinsKill++;
        localStorage.setItem(Game.profile + 'events:'+'goblinsKill', Game.goblinsKill);
    });

    Game.bombKill = parseInt(localStorage.getItem(Game.profile + 'events:'+'bombKill'));
    if (isNaN(Game.bombKill))
        Game.bombKill = 0;
    Game.events.on('bombKill', function(){
        Game.bombKill++;
        localStorage.setItem(Game.profile + 'events:'+'bombKill', Game.bombKill);
    });

    Game.dragonsKiller = parseInt(localStorage.getItem(Game.profile + 'events:'+'dragonsKiller'));
    if (isNaN(Game.dragonsKiller))
        Game.dragonsKiller = 0;
    Game.events.on('dragonsKiller', function(){
        Game.dragonsKiller++;
        localStorage.setItem(Game.profile + 'events:'+'dragonsKiller', Game.dragonsKiller);
    });

    Game.orcsKiller = parseInt(localStorage.getItem(Game.profile + 'events:'+'orcsKiller'));
    if (isNaN(Game.orcsKiller))
        Game.orcsKiller = 0;
    Game.events.on('orcsKiller', function(){
        Game.orcsKiller++;
        localStorage.setItem(Game.profile + 'events:'+'orcsKiller', Game.orcsKiller);
    });

    Game.goblinsKiller = parseInt(localStorage.getItem(Game.profile + 'events:'+'goblinsKiller'));
    if (isNaN(Game.goblinsKiller))
        Game.goblinsKiller = 0;
    Game.events.on('goblinsKiller', function(){
        Game.goblinsKiller++;
        localStorage.setItem(Game.profile + 'events:'+'goblinsKiller', Game.goblinsKiller);
    });

    Game.zombiesKiller = parseInt(localStorage.getItem(Game.profile + 'events:'+'zombiesKiller'));
    if (isNaN(Game.zombiesKiller))
        Game.zombiesKiller = 0;
    Game.events.on('zombiesKiller', function(){
        Game.zombiesKiller++;
        localStorage.setItem(Game.profile + 'events:'+'zombiesKiller', Game.zombiesKiller);
    });

    Game.medic = parseInt(localStorage.getItem(Game.profile + 'events:'+'medic'));
    if (isNaN(Game.medic))
        Game.medic = 0;
    if (Game.medic < 100000)
        Game.events.on('medic', function(){
            localStorage.setItem(Game.profile + 'events:'+'medic', Game.medic);
        });

    Game.calledEarly = parseInt(localStorage.getItem(Game.profile + 'events:'+'calledEarly'));
    if (isNaN(Game.calledEarly))
        Game.calledEarly = 0;
    if (Game.calledEarly < 200)
        Game.events.on('calledEarly', function(){
            Game.calledEarly ++;
            localStorage.setItem(Game.profile + 'events:'+'calledEarly', Game.calledEarly);
        });

    Game.restarted = parseInt(localStorage.getItem(Game.profile + 'events:'+'restarted'));
    if (isNaN(Game.restarted))
        Game.restarted = 0;
    if (Game.restarted < 20)
        Game.events.on('restarted', function(){
            Game.restarted++;
            localStorage.setItem(Game.profile + 'events:'+'restarted', Game.restarted);
        });

    Game.sellTower = parseInt(localStorage.getItem(Game.profile + 'events:'+'sellTower'));
    if (isNaN(Game.sellTower))
        Game.sellTower = 0;

    Game.events.on('sellTower', function(){
        Game.sellTower++;
        localStorage.setItem(Game.profile + 'events:'+'sellTower', Game.sellTower);
    });

    Game.spendSkull = parseInt(localStorage.getItem(Game.profile + 'events:'+'spendSkull'));
    if (isNaN(Game.spendSkull))
        Game.spendSkull = 0;

    Game.events.on('spendSkull', function(){
        Game.spendSkull+= Game.lastSpendSkull || 0;
        localStorage.setItem(Game.profile + 'events:'+'spendSkull', Game.spendSkull);
    });

    for (var key in Game.enemyList){
        if (Game.enemyList.hasOwnProperty(key) && key != 'ogreBoss' && key != 'dragonBoss' && key != 'necromantBoss') {
            (function () {
                var name = Game.enemyList[key].n;
                var spawned = localStorage.getItem(Game.profile + 'summon:' + Game.enemyList[key].n) == "true";
                if (!spawned) {
                    Game.events.once(Game.profile +'enemySpawned:'+Game.enemyList[key].n, function() {
                        localStorage.setItem(Game.profile + 'summon:' + name, "true");
                        var loader = new PIXI.loaders.Loader();
                        var spritePath = 'unitsTips/'+name + '.png';
                        loader.add(spritePath, spritePath);
                        loader.on('complete', function () {
                            var sprite =  new PIXI.Sprite(loader.resources[spritePath].texture);
                            sprite.anchor.set(0.5, 0.5);
                            Game.lvl.objGui.push(new Gui(Game.guiList.messageIcon).setDescription(Game.strings[Game.language].monsters[name].description).setSpecial(Game.strings[Game.language].monsters[name].special).setTitle(Game.strings[Game.language].monsters[name].name).setImage(sprite)
                                .setOnClose(function(){
                                    loader.resources[spritePath].texture.baseTexture && loader.resources[spritePath].texture.baseTexture.source && loader.resources[spritePath].texture.baseTexture.source.dispose && loader.resources[spritePath].texture.baseTexture.source.dispose();
                                    loader.resources[spritePath].texture.destroy(true);
                                    loader.resources[spritePath].texture.baseTexture && loader.resources[spritePath].texture.baseTexture.source && loader.resources[spritePath].texture.baseTexture.source  && (loader.resources[spritePath].texture.baseTexture.source = null);
                                    loader = null;
                                }));
                        }.bind(this));
                        loader.load();
                    });
                }
            })();
        }
    }


}

function loadLocal(callback){
    var readLocals = function(data){
        Game.strings = data;
        setTimeout(callback, 100);
    }.bind(this);

    var loadJSON = function (path, success, error)
    {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function()
        {
            if (xhr.readyState === 4) {
                if (xhr.status === 200) {
                    if (success)
                        success(JSON.parse(xhr.responseText));
                } else {
                    if (error)
                        error(xhr);
                }
            }
        };
        xhr.open("GET", path, true);
        xhr.send();
    };
    loadJSON("text.json", readLocals, null);
}

function loadUnitsPrefs(callback){
    var loadUnits = function(data){
        for(var key in data){
            var objToChange;
            if (data[key].type ==="enemy")
                objToChange = Game.enemyList[data[key].name];
            else
                objToChange = Game.friendlyList[data[key].name];

            for (var k in data[key].params){
                objToChange[k] = data[key].params[k];
            }
        }
        setTimeout(callback, 100);
    }.bind(this);

    var loadJSON = function (path, success, error)
    {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function()
        {
            if (xhr.readyState === 4) {
                if (xhr.status === 200) {
                    if (success)
                        success(JSON.parse(xhr.responseText));
                } else {
                    if (error)
                        error(xhr);
                }
            }
        };
        xhr.open("GET", path, true);
        xhr.send();
    };
    loadJSON("units.json", loadUnits, null);
}

function loadBuildingsPrefs(callback){
    var loadBuildings = function(data){
        for(var key in data){
            var objToChange = Game.buildingsList[data[key].name];
            if (objToChange)
                for (var k in data[key].params)
                    objToChange[k] = data[key].params[k];

            if (data[key].name == 'orcHouse3') {
                Game.buildingsList['orcHouse4'].cost = Game.buildingsList['orcHouse5'].cost = data[key].params.cost;
            }
            if (data[key].name == 'goblinHouse3') {
                Game.buildingsList['goblinHouse4'].cost = Game.buildingsList['goblinHouse5'].cost = data[key].params.cost;
            }
        }
        setTimeout(callback, 100);
    }.bind(this);

    var loadJSON = function (path, success, error)
    {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function()
        {
            if (xhr.readyState === 4) {
                if (xhr.status === 200) {
                    if (success)
                        success(JSON.parse(xhr.responseText));
                } else {
                    if (error)
                        error(xhr);
                }
            }
        };
        xhr.open("GET", path, true);
        xhr.send();
    };
    loadJSON("buildings.json", loadBuildings, null);
}

function loadParticlesPrefs(callback){
    var loadParticles = function(data) {
        for(var key in data){
            Game.particlesList[data[key].name] = data[key];
        }
        setTimeout(callback, 100);
    }.bind(this);

    var loadJSON = function (path, success, error)
    {
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function()
        {
            if (xhr.readyState === 4) {
                if (xhr.status === 200) {
                    if (success)
                        success(JSON.parse(xhr.responseText));
                } else {
                    if (error)
                        error(xhr);
                }
            }
        };
        xhr.open("GET", path, true);
        xhr.send();
    };
    loadJSON("particles.json", loadParticles, null);
}


function lvlPrefs() {
    Game.lvlGuiList ={
        0: Game.guiList.map,
        1: Game.guiList.timer,
        2: Game.guiList.resource,
        3: Game.guiList.pauseButton,
        4: Game.guiList.waves,
        5: Game.guiList.info
    };
    Game.menuPrefs = {
        map: {
            0: Game.guiList.menuMap,
            1: Game.guiList.heroesButton,
            2: Game.guiList.upgradesButton,
            3: Game.guiList.shopButton,
            4: Game.guiList.backButton,
            5: Game.guiList.soundButton,
            6: Game.guiList.musicButton,
            7: Game.guiList.achievementButton,
            8: Game.guiList.libraryButton
        },
        selected: {
            0: Game.guiList.selectedLvl
        },
        purchaseEpisode: {
            0: Game.guiList.purchaseEpisode
        },
        shop: {
            0: Game.guiList.shopPage,
            1: Game.guiList.backShop
            //2: Game.guiList.buySkulls,
            //3: Game.guiList.shopPurchaseSkulls
        },
        upgrades: {
            0: Game.guiList.upgradesPage,
            1: Game.guiList.backUpgrades,
            2: Game.guiList.resetUpgrades
        },
        heroes: {
            0: Game.guiList.backHeroes,
            1: Game.guiList.heroesPage,
            2: Game.guiList['selectHero0'],
            3: Game.guiList['selectHero1'],
            4: Game.guiList['selectHero2'],
            5: Game.guiList['selectHero3'],
            6: Game.guiList['selectHero4'],
            7: Game.guiList['selectHero5'],
            8: Game.guiList['selectButton']
            //9: Game.guiList['restoreButton']
            //9: Game.guiList['abilities1'],
            //10: Game.guiList['abilities2'],
            //11: Game.guiList['abilities3'],
            //12: Game.guiList['abilitiesInfo'],
        },
        main: {
            0: Game.guiList.mainMenu,
            1: Game.guiList.campaignButton,
            2: Game.guiList.mainParticles
        },
        description: {
            0: Game.guiList.description,
            1: Game.guiList.descriptionButton,
            2: Game.guiList.descriptionParticles
        }
    };
    Game.fullGui ={};
}


function log(event, balance) {
    if (!Game.release)
        return;

    try {
        var xhr = new XMLHttpRequest();
        xhr.open("GET", 'http://log.mnillstone.com/event/55fd49ebbbcd5f132a3fdd56/' + Game.uid  + '/' + event + '/' + Game.platform +'/' + (balance || 0), true);
        xhr.send();
    } catch (e){}
}